package com.company.mupload;

import com.haulmont.cuba.core.entity.FileDescriptor;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.OnDelete;
import com.haulmont.cuba.core.global.DeletePolicy;

import javax.persistence.*;
import java.util.List;

@Table(name = "MUPLOAD_TEST")
@Entity(name = "mupload_Test")
public class Test extends StandardEntity {
    private static final long serialVersionUID = -1L;

    @JoinTable(name = "MUPLOAD_TEST_FILE_DESCRIPTOR_LINK", joinColumns = @JoinColumn(name = "TEST_ID"), inverseJoinColumns = @JoinColumn(name = "FILE_DESCRIPTOR_ID"))
    @ManyToMany
    @OnDelete(DeletePolicy.CASCADE)
    protected List<FileDescriptor> file;

    public void setFile(List<FileDescriptor> file) {
        this.file = file;
    }

    public List<FileDescriptor> getFile() {
        return file;
    }

}